//
//  PartyEnregistery.swift
//  ArkitDoushiQi
//
//  Created by Louis DUFOUR on 31/05/2024.
//

import SwiftUI

struct PartyListView: View {
    let parties: [Party] = [
        Party(player1Name: "Jack", player1Score: "Défaite", player1Image: "Perceval", player2Name: "Le gars du dimanche", player2Score: "Victoire", player2Image: "Perceval", date: "Samedi soir"),
        Party(player1Name: "Le gars du dimanche", player1Score: "Victoire", player1Image: "Perceval", player2Name: "Jack", player2Score: "Défaite", player2Image: "Perceval", date: "Vendredi soir")
        // Ajoutez plus de parties ici
    ]
    
    var body: some View {
        NavigationView {
            List(parties) { party in
                ItemCollectionParty(party: party)
                    .padding(.vertical, 5)
            }
            .navigationTitle("Liste des Parties")
        }
    }
}

struct PartyListView_Previews: PreviewProvider {
    static var previews: some View {
        PartyListView()
    }
}
